Package: org.grails.cli.profile.commands.factory

## [Groovy] Class YamlCommandFactory

- org.grails.cli.profile.commands.factory.YamlCommandFactory

- A CommandFactory that can discover commands defined in YAML or JSON

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected groovy.json.JsonSlurper` | `jsonSlurper` |
    `protected org.yaml.snakeyaml.Yaml` | `yamlParser` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `fileNamePattern`
    `java.util.Collection<java.lang.String>` | `matchingFileExtensions`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Command` | `createCommand(Profile profile, java.lang.String commandName, Resource resource, java.util.Map data)`
    `` | `protected java.util.Map` | `readCommandFile(Resource resource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResourceResolvingCommandFactory` | `createCommand, evaluateFileName, findCommandResources, findCommands, getCommandResolvers, getMatchingFileExtensions, readCommandFile`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected groovy.json.JsonSlurper jsonSlurper

    - #### protected org.yaml.snakeyaml.Yaml yamlParser

  - ### Property Detail

    - #### final java.lang.String fileNamePattern

    - #### final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Method Detail

    - #### protected Command createCommand(Profile profile, java.lang.String commandName, Resource resource, java.util.Map data)

    - #### @java.lang.Override protected java.util.Map readCommandFile(Resource resource)